Open Lighting Architecture: ola::web::ArrayOfStringsContext Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
ola::web::ArrayOfStringsContext Class Reference

## Detailed Description

The context for an array of strings.

This is used for the required property and for property dependencies.

Inheritance diagram for ola::web::ArrayOfStringsContext:

## Public Types
typedef std::set< std::string > | StringSet

## Public Member Functions
void | GetStringSet (StringSet *stringd)
| Return the strings in the string array.
void | String (SchemaErrorLogger *logger, const std::string &value)
Public Member Functions inherited from ola::web::StrictTypedParseContext
void | String (SchemaErrorLogger *logger, const std::string &value)
void | Number (SchemaErrorLogger *logger, uint32_t value)
void | Number (SchemaErrorLogger *logger, int32_t value)
void | Number (SchemaErrorLogger *logger, uint64_t value)
void | Number (SchemaErrorLogger *logger, int64_t value)
void | Number (SchemaErrorLogger *logger, double value)
void | Bool (SchemaErrorLogger *logger, bool value)
void | Null (SchemaErrorLogger *logger)
SchemaParseContextInterface * | OpenArray (SchemaErrorLogger *logger)
void | CloseArray (SchemaErrorLogger *logger)
SchemaParseContextInterface * | OpenObject (SchemaErrorLogger *logger)
void | CloseObject (SchemaErrorLogger *logger)
Public Member Functions inherited from ola::web::ObjectParseContext
void | ObjectKey (SchemaErrorLogger *, const std::string &keyword)
| Called when we encounter a property.

## Additional Inherited Members
Protected Member Functions inherited from ola::web::ObjectParseContext
std::string | TakeKeyword ()
const std::string & | Keyword () const

## Member Function Documentation

## ◆ String()

void ola::web::ArrayOfStringsContext::String | ( | SchemaErrorLogger * | logger,
|  | const std::string & | value )
| virtual

Implements ola::web::SchemaParseContextInterface.

The documentation for this class was generated from the following files:

- common/web/SchemaParseContext.h
- common/web/SchemaParseContext.cpp